View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000442aMuleTransferpublic2005-05-19 13:362005-05-26 07:09
ReporterJohnGH 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000442: Sort by "Time Remaining" puts files which are not transferring first
DescriptionWhen you do sort by "Time Remaining" in the Transfers list it sorts the transferring files by time OK,
but it leaves the files that are not currently transferring unsorted and it puts them BEFORE
the files which are due to finish first.

Logically if they are not transferring at all they should come AFTER the ones which are going to
take the longest to download because their "Time Remaining" is INFINITE, not NULL

I presume that the "Time Remaining" is calculated on a function of
(data still to transfer) / (transfer rate)
If the (transfer rate) is 0 then it skips it to avoid a divide by zero.

By all means if (data still to transfer) = 0 then the file should be at the top of the list,
but files where (transfer rate) = 0 should be at the BOTTOM of the list
and should then be sorted by (data still to transfer).

That way the active files could be sorted first by the time remaining,
and then the rest by the ammount of data that they still have left to transfer.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000987)
Kry (manager)
2005-05-20 02:07

ACK
(0001006)
Kry (manager)
2005-05-26 07:09

Fixed on current CVS.

- Issue History
Date Modified Username Field Change
2005-05-19 13:36 JohnGH New Issue
2005-05-20 02:07 Kry Status new => assigned
2005-05-20 02:07 Kry Assigned To => Kry
2005-05-20 02:07 Kry Note Added: 0000987
2005-05-20 02:07 Kry Status assigned => acknowledged
2005-05-26 07:09 Kry Status acknowledged => resolved
2005-05-26 07:09 Kry Fixed in Version => CVS
2005-05-26 07:09 Kry Resolution open => fixed
2005-05-26 07:09 Kry Note Added: 0001006


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker